Repositorios KDE

Ir para: navegação, pesquisa
Esta página lista e descreve os repositórios para o ambiente desktop KDE disponíveis. Nenhum deles são oficialmente suportados.

Aviso Evite misturar repositórios pertencentes a diferentes versões do KDE/sabores (Stable/FactoryUnstable/...).

O que está disponível

Para Usuários

  • Atualizações mais recentes do KDE Software Compilation
    Essas são as versões mais recentes do KDE SC, conforme divulgado pela comunidade KDE, além de patches do openSUSE (lançada e inéditas). Também disponível para versões antigas do openSUSE. Estes pacotes são mantidos pela Equipe do KDE.
  • KDE UpdatedApps
    As versões mais recentes das aplicações do KDE individuais da versão openSUSE Factory, que foram empacotados e liberadas para distribuição. Você também não precisa atualizar o KDE, mas poderá fazê-lo, pois o KDE é compatível com as versões mais recentes. Estes pacotes são mantidos pela Equipe do KDE.
  • KDE Extra
    Aplicações do KDE não estão disponíveis em seu núcleo de distribuição principal.

Para conlaboradores

  • KDE Unstable Playground
    Alfas, Betas e SCM snapshots das aplicações do KDE em desenvolvimento..

Eu quero...


Somente atualizar as aplicações

Se você estiver usando a versão oficial, suportada e testada com a distribuição, então, poderá considerar esses repositórios adicionais disponíveis.


Estável (KDE SC 4.4)

Última versão oficial do KDE Software Collection incluída na versão oficial do openSUSE (KDE 4.4.4).


Lançamentos Upstream (KDE SC 4.5)

Repositório controlado e seguro do KDE SC 4.5. Mas naturalmente não testado ou suportado pela versão oficial estável dos pacotes do openSUSE KDE SC 4.4.


Factory (KDE SC 4.6)

Estes repositórios apresentam os pacotes do KDE em desenvolvimento para a próxima versão do openSUSE e SUSE Linux e inclui patches específicos. Você deve adicionar o respositório de pacotes básicos (Core) para utilização dos repositórios Extra ou Unstable:Playground.



Unstable:SC (KDE trunk)

Atenção! Não use estes repositórios em produção. Pacotes não testados, experimental, inéditas.

Snapshots semanal do KDE trunk. Estes pacotes nem sempre incluem patches específicos do openSUSE, e não estão disponíveis para as versões mais antigas do openSUSE. Você deve adicionar o repositório de pacotes básicos (Core) para utilizar os repositórios Extra ou Unstable:Playground.



KDE 3.5.10

Esta é a última versão dos pacotes para KDE 3 para as distribuições lançadas. Veja página separada para maiores informações.


Qt

{{Waarning|Você não precisa adicionar estes repositórios se você estiver usando os repositórios KDE listados acima. Os repositórios já incluem os pacotes corretos para o Qt.

Qt 4 release

Qt 4.x.x versão considerada atualmente mais estável. Não é necessário se você está usando os repositórios KDE:Distro:Factory ou KDE:Distro:Stable.

Qt 4.7 Development Snapshots

Atenção! Somente para desenvolvedores

Qt 4.6 Development Branch Snapshots

Atenção! Somente para desenvolvedores

Qt 4.5 Development Branch Snapshots

Atenção! Somente para desenvolvedores

Construindo seu próprio software usando Qt e KDE

Para construir seus próprios pacotes para qualquer versão do 4.x do KDE e Qt, escolha um dos seguintes repositórios (Ao adicionar de um clique em "Avançado " na parte inferior e, em seguida, selecione o nome do repositório da lista de itens):

  • KDE:Qt Se você quer construir uma aplicação QT apenas para a versão estável do Qt 4.x. Este repositório conta com a versão atual do Qt 4.7.x.
  • KDE:Qt47 Se quer so a versão Qt 4.7.x.
  • KDE:Distro:Stable Se você quiser construir uma aplicação KDE 4.x para o KDE 4.4.x. para qualquer uma das versões do openSUSE lançado.
  • KDE:Distro:Factory Se você quiser construir uma aplicação KDE 4.x para a versão 4.5.x do KDE para qualquer uma das versões do openSUSE lançado.

Veja também